Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Token_Name Class Reference

Allows Token_Manger to identify tokens. More...

`#include <Local_Tokens.h>`

List of all members.

## Public Methods
| ACE_Token_Name (const ACE_TCHAR *token_name=0)
| Construction.
| ACE_Token_Name (const ACE_Token_Name &rhs)
| Copy construction.
virtual | ~ACE_Token_Name (void)
| Destructor.
void | operator= (const ACE_Token_Name &rhs)
| Copy.
int | operator== (const ACE_Token_Name &rhs) const
| Comparison.
const ACE_TCHAR * | name (void) const
| Get the token name.
void | name (const ACE_TCHAR *new_name)
| Set the token name.
void | dump (void) const
| Dump the state of the class.
## Private Attributes
ACE_TCHAR | token_name_ [ACE_MAXTOKENNAMELEN]
| Name of the token.

## Detailed Description

Allows Token_Manger to identify tokens.

For now, this is just a string. We need a string class anyway to use in <ACE_Map_Manager>. Having this class (instead of <ACE_SString>) allows us to easily change if needed. For instance, we may choose to identify tokens by name and *type* in the future.

## Constructor & Destructor Documentation

ACE_Token_Name::ACE_Token_Name | ( | const ACE_TCHAR * | token_name = 0 | ) |

| Construction.

ACE_Token_Name::ACE_Token_Name | ( | const ACE_Token_Name & | rhs | ) |

| Copy construction.

ACE_Token_Name::~ACE_Token_Name | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

void ACE_Token_Name::dump | ( | void |  | ) | const

| Dump the state of the class.

void ACE_Token_Name::name | ( | const ACE_TCHAR * | new_name | ) |

| Set the token name.

const ACE_TCHAR* ACE_Token_Name::name | ( | void |  | ) | const

| Get the token name.

void ACE_Token_Name::operator= | ( | const ACE_Token_Name & | rhs | ) |

| Copy.

int ACE_Token_Name::operator== | ( | const ACE_Token_Name & | rhs | ) | const

| Comparison.

## Member Data Documentation

ACE_TCHAR ACE_Token_Name::token_name_[ACE_MAXTOKENNAMELEN]`[private]`

| Name of the token.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Local_Tokens.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Local_Tokens.cpp